#Fügt in der Menüleiste unter dem Punkt "Help" den About Dialog ein
#About-Dialog ist HTML-Datei, in der beim Update Versionsnummer und Buildnummer eingetragen werden müssen.

plugins_menu = UI.menu("Help")
item = plugins_menu.add_item("About CityGML-Editor"){
  dlg = UI::WebDialog.new("About CityGML-Editor", false, "About CityGML", 465, 640, 150, 150, false);
  dlg.set_file(File.dirname(__FILE__) + "/About/About.html")
  dlg.add_action_callback("get_version_build") {|d,p|
    script = 'print_version_build( "' + $VERSION + '", "' + $BUILD + '" );'
    d.execute_script(script)
    }
  dlg.add_action_callback("exit") do |dlg, params|
    dlg.close
  end
  
  dlg.show
}