#Es werden nur Klassen geladen, die sich direkt im Plugins-Ordner befinden
#Deshalb müssen alle Dateien aus dem Unterordner CityGML beim Starten bekannt gemacht werden

$Oe = "-/O\\-"
$oe = "-/o\\-"
$Ue = "-/U\\-"
$ue = "-/u\\-"
$Ae = "-/A\\-"
$ae = "-/a\\-"
$sz = "-/sz\\-"
$euro = "-/euro\\-"

require 'CityGML/Win32API'
require 'CityGML/bigdecimal.so'
require 'CityGML/GMLParser.rb'
require 'CityGML/CityGML.rb'
require 'CityGML/CityGMLExport.rb'
require 'CityGML/BatchExporter.rb'
require 'CityGML/AttributeDialog.rb'
require 'CityGML/Attribs.rb'
require 'CityGML/GMLExportDialog.rb'
require 'CityGML/AboutDialog.rb'
require 'CityGML/UiMenu.rb'

require 'CityGML/Handler/AppearanceMemberHandler'
require 'CityGML/Handler/BoundedByHandler'
require 'CityGML/Handler/CityModelHandler'
require 'CityGML/Handler/CityObjectGroupHandler'
require 'CityGML/Handler/CityObjectMemberHandler'
require 'CityGML/Handler/Generic3DObjectHandler'
require 'CityGML/Handler/LodXHandler'
require 'CityGML/Handler/ReliefFeatureHandler'
require 'CityGML/Handler/SimpleGMLHandler'
require 'CityGML/Handler/SurfaceMemberHandler'

require 'CityGML/Objects/AppearanceMember'
require 'CityGML/Objects/BoundedBy'
require 'CityGML/Objects/CityModel'
require 'CityGML/Objects/CityObjectGroup'
require 'CityGML/Objects/CityObjectMember'
require 'CityGML/Objects/Generic3DObject'
require 'CityGML/Objects/LodXObject'
require 'CityGML/Objects/ReliefFeature'
require 'CityGML/Objects/SimpleGMLObject'
require 'CityGML/Objects/SurfaceMember'
require 'CityGML/WorldFileLoader'
require 'CityGML/validator'

require 'rubytoolbar'