module FHGelsenkirchen
  class SimpleGMLObject
    class SimpleObjectException < Exception
      def initialize(message=nil)
        if(message==nil)
          super()
        else
          super(message)
        end
      end
    end

    attr_accessor :Attributes
    attr_reader :QName
    attr_accessor :PreObjects
    attr_accessor :PostObjects
    attr_reader :Parent
    attr_reader :HasSimpleObjects

    def initialize(parent, qname, attributes, bHasSimpleObjects)
      @Attributes = SimpleGMLHandler::saveAttributes(attributes)
      @QName = qname
      @PreObjects = ""
      @PostObjects = ""
      @Parent = parent
      @HasSimpleObjects = bHasSimpleObjects
    end

    def InnerObjectIsParsed()
      #Muss implementiert werden
      raise Exception,"Nicht implementiert"
    end
  end

  class AbstractGMLDummy < SimpleGMLObject
    def initialize( parent,  qname,  attrs,  bHasSimpleObjects)
      super(parent, qname, attrs, bHasSimpleObjects)
    end
  end
end