require 'CityGML/Objects/SimpleGMLObject'
module FHGelsenkirchen
  class GMLAppearance
    attr_accessor :sTexture
    attr_reader :TextureCoordinates
    def initialize
      @sTexture = ""
      @TextureCoordinates = []
    end
  end
  class SurfaceMember < SimpleGMLObject

    #Unterstützung der als deprecated markierten Merkmale: appearance
    attr_reader :xlinkhref
    attr_accessor :sSurfaceID
    attr_accessor :LinearRingID
    attr_accessor :Appearance
    attr_reader :Vertices
    attr_reader :VerticesInterior
    attr_accessor :CompositeSurfaceId

    def initialize(parent, qname, attrs, bHasSimpleObjects, compositeSurfaceId)
      super(parent, qname, attrs, bHasSimpleObjects)
      @DebugLine = 0
      @xlinkhref = ""
      @sSurfaceID = ""
      @LinearRingID = ""
      @Vertices = []
      @VerticesInterior =  []
      @CompositeSurfaceId = compositeSurfaceId
      if (attrs.length > 0 && attrs["href"] != nil)
        @xlinkhref = attrs["href"]
      end
    end

  end
end