# Create an entry in the Extension list that loads a script called
# stairTools.rb.
require 'sketchup.rb'
require 'extensions.rb'

$VERSION = '1.6'
$BUILD = '4967'

cityGML_extension = SketchupExtension.new "City GML", "CityGML/CityGML-loader.rb"
cityGML_extension.version = $VERSION
cityGML_extension.creator = "FH Gelsenkirchen"
cityGML_extension.copyright = "2011, FH Gelsenkirchen"
cityGML_extension.description = "Tools for the usage of CityGML."
Sketchup.register_extension cityGML_extension, true