require 'CityGML/Objects/SimpleGMLObject'

module FHGelsenkirchen
  class CityModel < SimpleGMLObject
    attr_reader :LOD
    attr_accessor :Name
    attr_accessor :Description
    attr_accessor :AppearanceMember
    attr_reader :Namespaces
    attr_reader :CityObjects

    def initialize(parent, qname, attrs, bHasSimpleObjects)
      super(parent, qname, attrs, bHasSimpleObjects)
      @sName = ""
      @Description = ""
      @Namespaces = []
      @LOD = [] #lod 0-4
      @CityObjects = []
      @AppearanceMember = []
      for i in 0..3
        @LOD[i] = false
      end
    end
  end
end